#
# spec file for package scpm (Version 1.1.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm graphviz grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mhash mhash-devel mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel


Name:           scpm
BuildRequires:  doxygen gcc-c++ graphviz libjpeg-devel libpng-devel mhash-devel
Summary:        System Configuration Profile Management
Version:        1.1.3
Release:        18.22
Group:          System/Base
License:        GPL v2 or later
Source:         scpm-%{version}.tar.bz2
Source1:        logrotate-scpm
Patch1:         scpm-patch_profiles_fix.dif
Patch2:         scpm-translation_fixes.dif
Patch3:         scpm-nis_fix.dif
Patch4:         scpm-fix_SuSEFirewall.diff
Patch5:         scpm-bug362124.patch
Requires:       diffutils textutils
Obsoletes:      schemes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq %install_info_prereq

%description
SCPM enables your system to save different configurations in profiles.
You can boot directly into a profile as well as switch profiles at run
time. It is the successor of scheme management.



Authors:
--------
    Joachim Gleissner <jg@suse.de>

%debug_package
%package devel
License:        GPL v2 or later
Summary:        Header files and API documentation for SCPM
Provides:       scpm:/usr/include/scpm.h
Requires:       scpm
Group:          Development/Libraries/C and C++

%description devel
This package is only needed if you want to compile applications that
make use of libscpm.



Authors:
--------
    Joachim Gleissner <jg@suse.de>

%prep
%setup scpm
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0

%build
CXXFLAGS="$RPM_OPT_FLAGS" make

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_var}/lib
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/include
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/locale/de/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/update-messages/en
#mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
make PREFIX=%{buildroot} EXEC_PREFIX=%{_prefix} install
install -m 755 -d $RPM_BUILD_ROOT/%{_defaultdocdir}/scpm
install -m 755 SuSEconfig.scpm $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.scpm
# work around until scpm gets autoconf'd
if [ "%{_lib}" != "lib" ]; then
	mv $RPM_BUILD_ROOT%{_prefix}/lib/libscpm* $RPM_BUILD_ROOT%{_libdir}
fi
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/scpm
#install -m 644 update-message $RPM_BUILD_ROOT/usr/share/update-messages/en/scpm

%post
%run_ldconfig
%{fillup_and_insserv -p -y boot.scpm}
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%{insserv_cleanup}

%files
%defattr(-,root,root)
%config(noreplace) /etc/scpm.users
%config /etc/init.d/boot.scpm
/etc/logrotate.d/scpm
%{_sbindir}/scpm
/sbin/conf.d/SuSEconfig.scpm
%{_libdir}/libscpm.so*
%{_prefix}/lib/scpm
/usr/share/locale/*/LC_MESSAGES/*
%{_mandir}/man8/scpm.8.gz
%{_infodir}/scpm.info.gz
%doc CHANGES README
%dir /var/lib/scpm
%dir /var/lib/scpm/scdb
%dir /var/lib/scpm/profiles
%dir /var/lib/scpm/resource_sets
%dir /var/lib/scpm/resource_groups
%config /var/lib/scpm/active_groups
%config /var/lib/scpm/active_groups
/var/adm/fillup-templates/sysconfig.scpm

%files devel
%defattr(-,root,root)
%{_includedir}/*
%doc doc/api

%clean
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 25 2008 - hschaa@suse.de
- Add scpm-bug362124.patch (bnc #362124) which
  adds /etc/sysconfig/videobios to the xf86 resource group
* Wed Jan 09 2008 - hschaa@suse.de
- Add scpm-fix_SuSEFirewall.diff which fixes bug 265766
  (scpm try to start SuSEfirewall2_final)
* Mon Jan 22 2007 - jg@suse.de
- added /etc/defaultdomain to resource group nis and created a
  postrestore script for it (bug 212920)
* Mon Jun 12 2006 - jg@suse.de
- updated Taiwanese and Khmer translations
* Tue Jun 06 2006 - jg@suse.de
- fixed patch command fix (bug 150625)
* Wed Apr 05 2006 - jg@suse.de
- writing boot info after update (bug 159703, this time with
  the right tarball)
* Wed Apr 05 2006 - jg@suse.de
- writing boot info after update (bug 159703)
* Wed Apr 05 2006 - jg@suse.de
- added section about booting into profiles to texinfo
  documentation (bug 106704)
* Mon Mar 27 2006 - jg@suse.de
- updated translations
* Mon Feb 20 2006 - jg@suse.de
- updated translations
- fixed patch command (bug 150625)
- ignoring missing file error on profile removal
* Mon Feb 06 2006 - jg@suse.de
- ignoring missing file error on profile removal
- fixed wrong file subtype detection on profile import
- fixed temporary files usage (strange permissions and zombies)
- SuSEconfig.scpm: removing temp file on exit (bug 144670)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 13 2005 - jg@suse.de
  version 1.1.3pre1
- moved configuration file to /etc/sysconfig/scpm
- Fixed broken profile list output for cases where a profile
  name has more than 20 characters (bug 117760)
* Tue Nov 29 2005 - ro@suse.de
- added fontconfig to nfb (for graphviz)
* Thu Sep 01 2005 - jg@suse.de
- avoiding usage of system() command as this does not work
  correctly with suid bit set (fixes bug 114788)
* Mon Aug 22 2005 - aj@suse.de
- scpm lives now in /usr/sbin [#106246].
* Mon Aug 22 2005 - jg@suse.de
- added new translations for ja nb pt pt_BR zh_CN zh_TW
- updated existing translations
* Fri Aug 05 2005 - jg@suse.de
- fixed paths in SuSEconfig.scpm
* Sat Jul 23 2005 - jg@suse.de
- update to 1.1.2pre2, changes:
  - updated translations templates and German translations
  - fixed faulty diff output for links
  - added French translations
  - fixed wrong handling of empty subdirectories
- moved header files and API documentation into devel subpackage
* Thu Jul 07 2005 - schwab@suse.de
- Fix paths in SuSEconfig.scpm.
* Tue Jul 05 2005 - jg@suse.de
- fixed installation paths for x86_64 and ppc64
* Fri Jul 01 2005 - jg@suse.de
- moved binary and libs to /usr
* Wed Jun 22 2005 - jg@suse.de
- added some translations (cs, hu, it, nl, uk)
- fixed diff command for service resource (information for
  runlevel 5 was missing)
* Wed Apr 20 2005 - ro@suse.de
- fix build with gcc-4
* Fri Mar 18 2005 - jg@suse.de
- fixed diff command for service resource (information for
  runlevel 5 was missing)
* Sat Mar 12 2005 - jg@suse.de
- fixed copy command (bug 64220)
- updated translation templates and German translations
* Mon Feb 28 2005 - jg@suse.de
- update to 1.1:
  - added resource group lwresd and added it to default active
  groups list (bug 66655)
* Mon Feb 21 2005 - jg@suse.de
- update to 1.1pre1:
  - added support for exporting and importing profiles
  - updated German translations
  - more journalized resource group commands
  - showing start/stop priorities on diff command for service
  resources
  - fixed permission problem for diff and patch features
* Mon Nov 15 2004 - jg@suse.de
- update to 1.0.1:
  - handling /etc/resolv.conf nicely again
  - cleanups (removal of obsolete scripts)
  - handling now ifservices-directories in /etc/sysconfig/network
  - added postrestore script support for file resources
  - added postrestore script for /etc/HOSTNAME
  - fixed faulty database handling after reenabling scpm
* Fri Oct 01 2004 - jg@suse.de
- added workaround for /etc/resolv.conf not getting restored on
  profile restore when coming from a profile using dhcp (bug 46601)
* Thu Sep 30 2004 - jg@suse.de
- added resource group smpppd to default groups list (may be needed
  to properly support network device usercontrol feature)
- updated documentation
* Wed Sep 29 2004 - jg@suse.de
- fixed progress bar (will be filled to 100%% now on abort)
  (bug 45486)
- fixed a bug in the translation code
- added some missing German translations and updated
  translation template
* Tue Sep 28 2004 - jg@suse.de
- fixed enable command (bug 46356)
* Mon Sep 27 2004 - jg@suse.de
- updated german translations
- updated translation templates
- fixed copy command
- fixed resource dependency check
- fixed recover command (could abort too early)
- more cleanups
* Mon Sep 20 2004 - jg@suse.de
- more fixes for update support
- changed (de)activate resource group library commands to not
  auto-add resp. -remove resources (fixes bug 45600)
- fixed diff command (crashed when not existing resource was given)
- some cleanups
* Thu Sep 09 2004 - jg@suse.de
- check for modified resource recognizes changes in file
  attributes now
- added command line option for rollback feature of recover
  command
- fixed rename command
- added journal processing abort option (for testing purposes)
- fixed recover feature for save resource command
- fixed various progress bars for yast2 profile-manager
- fixed diff feature for backup resources
- saving start/stop priority information in database now
  (fixes wrong resource start order)
* Mon Sep 06 2004 - jg@suse.de
- update to 1.0:
  - new backup facilities done
  - enabled updating of profile data on system update
  - added rollback functionality to recover system
  - minor bugfixes in progress messages and progress bar output
  - improved error handling on database load failures
  - fixed support for SuSEfirewall2
* Mon Aug 30 2004 - jg@suse.de
- update to 1.0pre2:
  - implemented (parts of) new backup mechanism
* Mon Aug 23 2004 - jg@suse.de
- update to 1.0pre1:
  - implemented journal
  - added recover command
  - cli exits cleanly now on SIGPIPE (makes piping output of
  scpm possible)
  - code cleanups
* Fri Jun 04 2004 - jg@suse.de
- update to 0.9.7:
  - documentation update
  - fixed resource group wwwoffle
  - fixed user name detection for non-root operation
  - added resource groups ldap, nscd, and dhcpd
* Thu May 27 2004 - jg@suse.de
- update to 0.9.7pre3:
  - completed SCDB branch-on-demand loading (makes commands like
  'active' or 'list' much faster)
* Mon May 17 2004 - jg@suse.de
- update to 0.9.7pre2:
  - fixed broken restore of directories
  - fixed diff function for empty directories
* Tue May 11 2004 - jg@suse.de
- update to 0.9.7pre1:
  - removing empty directories in file resources on restore now
  - added support for per-interface-directories in
  /etc/sysconfig/network
  - added database read-only support
  - imporved diff feature a bit
* Tue May 04 2004 - jg@suse.de
- fixed grub boot messages support (add/copy/rename/delete commands
  will now update /boo/messages)
* Wed Mar 31 2004 - jg@suse.de
- added /etc/logrotate.d/scpm
* Wed Mar 31 2004 - jg@suse.de
- updated german translations
- disabled automatic resource update mechanism after system
  update (far too experimental)
- more documentation updates
- backup command fixes
* Mon Mar 22 2004 - jg@suse.de
- some documentation updates
- SuSEconfig.scpm status checks fixed (bug #36271)
- boot.scpm aborts now when SCPM is disabled
* Mon Mar 15 2004 - jg@suse.de
- fixed broken handling of /etc/sysconfig/network
- calling rcnetwork with -o onboot option, so network
  interfaces marked as manual do not get set up on switch
- fixed broken restore of service resources
* Mon Mar 08 2004 - jg@suse.de
- update to 0.9.6
  - added backup remove functions
  - minor fixes in backup mechanism
* Mon Mar 01 2004 - jg@suse.de
- update to 0.9.6pre3
  - added backup restore functions
  - implemented missing backup functions
  - implemented support for writing boot informations to
  /boot/message
* Mon Feb 23 2004 - jg@suse.de
- update to 0.9.6pre2
  - fixed update script from stdin support
  - script output being put through
  - added notice about resources with backup on restore
* Mon Feb 16 2004 - jg@suse.de
- update to 0.9.6pre1
  - partly implemented backup and system update mechanism
  - fix wrong handling of missing /etc/resolv.conf
  - db utility auto loads scdb also in interactive mode now
  - minor documentation fixes
  - added support for writing boot info into /boot/grub/menu.lst
  - added "show resources" command to cli for group mode
  - reduced the probalitity that the scdb file gets destroyed
- added rewritten SuSEconfig.scpm (handles profile updates now)
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig and %%defattr
* Mon Oct 06 2003 - jg@suse.de
- update to 0.9.5
  - added alias "remove" for delete command to the frontend
  - allowing execution of list and active commands even
  when SCPM is disabled
* Fri Aug 29 2003 - jg@suse.de
- dropped obsolete SuSEconfig.scpm
- added l10n support for diff output
- added l10n support for resource group descriptions
- added German, Czech, and Slovak translations for diff messages
- added German and Czech translations for resource group
  descriptions
* Fri Aug 22 2003 - jg@suse.de
- update to 0.9.4
  - added Slovak translations
  - updated Czech translations
  - converted translations to UTF-8
* Mon Aug 11 2003 - jg@suse.de
- update to 0.9.4pre4
  - updated documentation
  - updated German translations
  - fixed wrong description parsing in GetResourceGroup
  - ensuring full progress bar even on abort (for YaST2)
* Fri Jul 18 2003 - jg@suse.de
- update to 0.9.4pre1
  - fixed get_all scripts to not return inactive resources
  - small fixes in GetResourceGroup and RenameResourceGroup
  - improved error handling on parsing scdb
  - added function to rename resource groups
  - added interface to configuration facilities
* Wed Jun 11 2003 - jg@suse.de
- fixed sometimes faulty modification status detection for
  directories
* Tue Jun 03 2003 - jg@suse.de
- switch to resource group mode as default
* Fri May 23 2003 - jg@suse.de
- update to 0.9.2
  - flushing database directly after switch now (Bug #24995)
  - marking scdb as not modified after writing to prevent double saving
  - added show_group command to command line frontend
  - fixed (de)activate_group commands
  - fixed reading active groups
  - typo fixes
* Thu May 08 2003 - jg@suse.de
- update to 0.9.2pre3
  - crash on restoring null resources fixed
  - logging slightly improved
  - some fixes for running scpm as non root
* Wed Apr 30 2003 - jg@suse.de
- update to 0.9.2pre2
  - fixed wrong status handling of links
  - added /etc/lpd.perms and /etc/xinet.d/cups-lpd as inactive
  resources to group printer
  - fixed possibly wrong status handling of /etc/resolv.conf
  - added /etc/sysconfig/language to resource set extended
  - added /etc/sysconfig/proxy to resource set typical
  - fixed possibly broken file removal (bug #25396)
  - removing subfiles on file removal now
  - added rebuild command to cli
  - added some debug and info messages
  - fixed possibly wrong detection of modified directories
* Thu Apr 24 2003 - ro@suse.de
- merge postuns
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Mar 07 2003 - jg@suse.de
- fixed possibly wrong determination of directories' modification
  status (Bug #24846)
* Thu Mar 06 2003 - jg@suse.de
- added missing Czech scpm.mo to filelist
* Mon Mar 03 2003 - jg@suse.de
- added Czech translations (library part only)
* Mon Feb 24 2003 - jg@suse.de
- fixed (sometimes faulty) progress bar output
- fixed sorting incosistency of some scripts
- fixed broken quiet output mode
- partly readded support for external file status handlers
  (needed for proper handling of /etc/resolv.conf)
* Mon Feb 17 2003 - jg@suse.de
- Update to 0.9.1
  - improved progress bar output (for yast2)
  - updated german translations
* Thu Feb 13 2003 - mmj@suse.de
- Use %%install_info macro [#23455]
* Mon Feb 10 2003 - jg@suse.de
- Update to 0.9
  - documentation update (switch command)
  - various fixes in file handling
  - added progress bar facilities for time consuming operations
  (enabling, switching, adding, etc)
  - cli shows now resources only instead of groups in case scpm
  operates in resource group less mode
* Mon Feb 03 2003 - jg@suse.de
- Update to 0.9pre3
  - documentation update
  - add auto-add/remove feature for Resource Group (de)activation
* Mon Jan 27 2003 - jg@suse.de
- Update to 0.9pre2
  - fixed reload command support
  - fixed broken server active query handler
  - fixed some resource group files
  - aborting now correctly on corrupt resource group files
  - fixed bug in scdb which may prevented a modified scdb from
  beeing written
  - added support for non-root user execution via /etc/scpm.users
  - introduced group 'other' for resources not belonging to a
  group
* Mon Jan 20 2003 - jg@suse.de
- Update to 0.9pre1
  - added resource group support
  - storage system completely rewritten, is now integrated into
  the SCDB
  - service resource has now external handles for active state
  detection and restoration
  - improved switch script support
  - added "get all" command
  - added locking support
  - documentation update (new features, typo fixes)
* Wed Sep 11 2002 - jg@suse.de
- Added service cups to default resource set 'typical'
- Improved support for cups
* Mon Sep 09 2002 - jg@suse.de
- Fixed a fatal bug in storage module
* Fri Sep 06 2002 - jg@suse.de
- Fixed building on x86-64
- Fixed a nasty bug in directory handling
* Thu Sep 05 2002 - jg@suse.de
- Replaced the introduction of the info documentation with
  the proof read version
- Set verbose mode as default
- Splitted /etc/sysconfig/network resource, scripts
  under /etc/sysconfig/network/if-{up|down}.d supported now
- Linking libmhash static now (means, /usr on nfs should be
  finally supported)
- Minor translation fixes
* Mon Sep 02 2002 - jg@suse.de
- Fixed status detection issues with /etc/resolv.conf
* Tue Aug 27 2002 - jg@suse.de
- Fixed building on 64bit platforms
* Mon Aug 26 2002 - jg@suse.de
- Added compatibility link /usr/%%{_lib}/libscpm.so
- Changed acronym meaning of SCPM to System Configuration
  Profile Management
- Extended Introduction in info documentation
- Fixed possible segfault in ShowChanges function
- Added resource sets extended and network_only
- Added /etc/hosts to resource set typical
* Tue Aug 20 2002 - jg@suse.de
- Added PreReq tag
* Fri Aug 16 2002 - jg@suse.de
- changed version number to 0.8
- Permissions and uid/gid get now restored correctly
- Added new resource set "everything"
- Added postfix stuff to resource set "typical"
- Fixed a bug in get_files script
- Added faked progress bar for YaST2 frontend
* Fri Aug 09 2002 - jg@suse.de
- new version 0.8pre4, from CHANGES file:
  - Made translation routine more robust
  - Fixed a small translation bug
  - Added more german translations
  - Minor documentation updates
  - SWITCH_MODE variable has now the wanted effects
  - service postfix is now supported correctly
* Wed Aug 07 2002 - jg@suse.de
- new version 0.8pre3, from CHANGES file:
  - Added VERBOSE variable to scpm.conf
  - Added localization features and german translations
  - Using compiler switch -g now only when no CXXFLAGS are given
  - Improved logging messages
  - Added verbose progress messages
  - Fixed a bug with the switch_info struct
  - Some code cleanups
  - Fixed a bug in SuSEconfig.scpm
* Fri Aug 02 2002 - jg@suse.de
- new version 0.8pre2, from CHANGES file:
	- Update mechanism to SCDB v1.2 implemented
	- Added comments to scpm.conf template
	- Added DEBUG and SWITCH_MODE variables to scpm.conf
	- Fixed service_get_deps script to work with SL 8.1
	- Improved Resource Set handling
	- Removed sysconfig resource type
	- Fixed scdb to not abort with uncaught exceptions anymore
	- Generating usable specfile now instead of providing a
  static and always outdated one
- Added /sbin/conf.d/SuSEconfig.scpm to filelist
- Removed xf86 from neededforbuild
- Removed unneccesary cp command from specfile
* Thu Jul 25 2002 - jg@suse.de
- new version 0.8pre1, from CHANGES file:
  - Documented "get"
  - Added localization facilities (still no translations, of course)
  - Implemented ShowChanges(), only File resource supports this ATM
  - Add 'diff' command to cli as standalone command and embedded
  in the switch process
  - Added RebuildDB()
  - Added profile description output to list command
  (suppressable with '-n')
  - Added optional force flag to Enable function
  - Rewrote File resource type to handle directories, making sysonfig
  resource type obsolete
  - Fixed wrong iostream handling in storage module, should now
  run in gcc 3.1 environment
  - Broken md5sum generation fixed
- added /usr/include and /usr/share/locale stuff to specfile
- added dependency to diffutils in specfile
* Mon Jul 22 2002 - jg@suse.de
- update to 0.7.2 which fixes a bug in scpm reinitialization
* Mon Jul 15 2002 - jg@suse.de
- update to final 0.7.1
- fixed possible failure on Add/Copy operations
- added CHANGES and README to package documentation
* Sun Jul 14 2002 - jg@suse.de
- Fixed another /lib64 issue
* Fri Jul 12 2002 - jg@suse.de
- update to actual CVS version of 0.7.1, from CHANGES file:
  - Added optional auto_switch parameter to the 'Add' function
  - Introduction chapter added to texinfo documentation
  - Changed Save function, needs PrepareSwitch as prerequisite
  - Updated cli to incorporate API changes
  - Possibly wrong profile clean status in database fixed
  - Implemented Get/Set/List/ResourceSet(s) functions
  - Added /etc/scpm.conf writing feature to SCPM_conf
  - Using md5 sums of rpm db and resource set file for system
  magic generation now
  - Fixed code to compile with gcc 3.1
  - Added -fPIC compiler switch
- see CHANGES file for older changes
* Thu Jun 27 2002 - ro@suse.de
- fix neededforbuild
  (don't try to link static libmhash into shared lib)
* Sun May 19 2002 - schwab@suse.de
- Fix building of shared library.
* Mon May 13 2002 - jg@suse.de
- modified specfile to support /lib64 library location on
  64bit architectures
- using RPM_OPT_FLAGS now
* Mon May 13 2002 - jg@suse.de
- new version 0.6.4: incorporates minor fixes from 0.6.3
  and ro's gcc-3.1 changes
- uses buildroot now
* Fri May 10 2002 - ro@suse.de
- build with gcc-3.1
* Thu Mar 14 2002 - jg@suse.de
- Fixed some typos and bad expressions in the man page
* Thu Mar 14 2002 - jg@suse.de
- Fixed handling of stored profile data (gets removed now
  on profile deletion)
- Cosmetical fixes in log messages and help text
- Fixed file resource get_all script to always honor extra entries
* Tue Mar 12 2002 - jg@suse.de
- fixed return values of boot.scpm to match LSB
- made command line interface honor the -f and -s switch
- fixed command line interface to show help on -h and --help
* Wed Mar 06 2002 - jg@suse.de
- fixed resource start/stop ordering
- added missing sysconfig_post_restore_isdn script
- updated documentation (using texinfo now)
* Mon Mar 04 2002 - jg@suse.de
- Update to version 0.6.2 (bugfix release), which mainly
  fixes bugs in the sysconfig resource type, in
  resource start/stop handling, and in the logging mechanism
* Mon Feb 25 2002 - jg@suse.de
- Update to version 0.6.1 including various fixes
  for the command line UI and the boot mode
- Added missing /etc/init.d/boot.scpm to specfile
* Mon Feb 11 2002 - jg@suse.de
- Update to test version 0.6 (incorporates all basic features now)
* Fri Jan 18 2002 - jg@suse.de
- Update to test version 0.5
* Fri Jan 11 2002 - jg@suse.de
- Update to test version 0.4
- Included API documentation
* Thu Dec 20 2001 - jg@suse.de
- Update to version 0.3 (experimental release)
* Mon Jul 23 2001 - jg@suse.de
- First Version (does still use 'schemes' as backend)
